MatrixSetColWidthCommand Class Reference

`#include <MatrixCommand.h>`

Inheritance diagram for MatrixSetColWidthCommand:

## Public Member Functions

| MatrixSetColWidthCommand (Matrix *m, int oldWidth, int newWidth, const QString &text)
virtual void | redo ()
virtual void | undo ()

## Private Attributes

Matrix * | d_matrix
int | d_new_width
int | d_old_width

## Constructor & Destructor Documentation

## MatrixSetColWidthCommand()

MatrixSetColWidthCommand::MatrixSetColWidthCommand | ( | Matrix * | m,
|  | int | oldWidth,
|  | int | newWidth,
|  | const QString & | text
| ) |  |

## Member Function Documentation

## redo()

void MatrixSetColWidthCommand::redo | ( |  | ) |

virtual

References d_matrix, d_new_width, and Matrix::setColumnsWidth().

## undo()

void MatrixSetColWidthCommand::undo | ( |  | ) |

virtual

References d_matrix, d_old_width, and Matrix::setColumnsWidth().

## Member Data Documentation

## d_matrix

Matrix* MatrixSetColWidthCommand::d_matrix

private

Referenced by redo(), and undo().

## d_new_width

int MatrixSetColWidthCommand::d_new_width

private

Referenced by redo().

## d_old_width

int MatrixSetColWidthCommand::d_old_width

private

Referenced by undo().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixCommand.h
- qtiplot/src/matrix/MatrixCommand.cpp